Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

## Class BankTransactionCodeStructure5

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_08.BankTransactionCodeStructure5

    public class BankTransactionCodeStructure5
    extends java.lang.Object

Java class for BankTransactionCodeStructure5 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BankTransactionCodeStructure5">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Cd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ExternalBankTransactionDomain1Code"/>
             <element name="Fmly" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}BankTransactionCodeStructure6"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `cd`
`protected BankTransactionCodeStructure6` `fmly`

### Constructor Summary

Constructors
`BankTransactionCodeStructure5()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCd()` Gets the value of the cd property.
`BankTransactionCodeStructure6` `getFmly()` Gets the value of the fmly property.
`void` `setCd​(java.lang.String value)` Sets the value of the cd property.
`void` `setFmly​(BankTransactionCodeStructure6 value)` Sets the value of the fmly property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cd

    protected java.lang.String cd

#### fmly

    protected BankTransactionCodeStructure6 fmly

### Constructor Detail

#### BankTransactionCodeStructure5

    public BankTransactionCodeStructure5()

### Method Detail

#### getCd

    public java.lang.String getCd()

Gets the value of the cd property.

Returns:
  possible object is `String`

#### setCd

    public void setCd​(java.lang.String value)

Sets the value of the cd property.

Parameters:
  `value` - allowed object is `String`

#### getFmly

    public BankTransactionCodeStructure6 getFmly()

Gets the value of the fmly property.

Returns:
  possible object is `BankTransactionCodeStructure6`

#### setFmly

    public void setFmly​(BankTransactionCodeStructure6 value)

Sets the value of the fmly property.

Parameters:
  `value` - allowed object is `BankTransactionCodeStructure6`